Skip to content
You're viewing documentation for v2026.11.8-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Create a livesync session

Create a livesync session and deploy it.

POST/api/v1/livesync
Authorization
tse_sessionAPI key · cookierequired
Request body
requiredapplication/json
auto_add_tablesboolean
create_publicationboolean
host_server_idstring
namestring
publicationstring
publication_tablesstring[]
source_cluster_idstring
source_connstring
subscriptionstring
sync_schemaboolean
target_cluster_idstring
target_connstring
Responses
202

Accepted

auto_add_tablesbooleanrequired
created_atstringrequired
healthstringrequired
health_checked_atstring
health_detailstring
host_displaystringrequired
host_server_idstringrequired
idstringrequired
namestringrequired
publicationstringrequired
publication_managedbooleanrequired
source_cluster_idstring
source_displaystringrequired
statusstringrequired
subscriptionstringrequired
target_cluster_idstring
target_displaystringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/livesync' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "auto_add_tables": true,
  "create_publication": true,
  "host_server_id": "string",
  "name": "string",
  "publication": "string",
  "publication_tables": [
    "string"
  ],
  "source_cluster_id": "string",
  "source_conn": "string",
  "subscription": "string",
  "sync_schema": true,
  "target_cluster_id": "string",
  "target_conn": "string"
}'
Response
{
  "auto_add_tables": true,
  "created_at": "string",
  "health": "string",
  "health_checked_at": "string",
  "health_detail": "string",
  "host_display": "string",
  "host_server_id": "string",
  "id": "string",
  "name": "string",
  "publication": "string",
  "publication_managed": true,
  "source_cluster_id": "string",
  "source_display": "string",
  "status": "string",
  "subscription": "string",
  "target_cluster_id": "string",
  "target_display": "string"
}